Package org.springframework.aop.framework.adapter

# Class AdvisorAdapterRegistrationManager

java.lang.Object
org.springframework.aop.framework.adapter.AdvisorAdapterRegistrationManager

All Implemented Interfaces:
  `org.springframework.beans.factory.config.BeanPostProcessor`

public class AdvisorAdapterRegistrationManager extends Object implements org.springframework.beans.factory.config.BeanPostProcessor
BeanPostProcessor that registers `AdvisorAdapter` beans in the BeanFactory with an `AdvisorAdapterRegistry` (by default the `GlobalAdvisorAdapterRegistry`).

The only requirement for it to work is that it needs to be defined in application context along with "non-native" Spring AdvisorAdapters that need to be "recognized" by Spring's AOP framework.

Since:
  27.02.2004
Author:
  Dmitriy Kopylenko, Juergen Hoeller
See Also:
  - `setAdvisorAdapterRegistry(org.springframework.aop.framework.adapter.AdvisorAdapterRegistry)`
  - `AdvisorAdapter`

## Constructor Summary

Constructors
Constructor
Description
`AdvisorAdapterRegistrationManager()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`postProcessAfterInitialization(Object bean, String beanName)`
`Object`
`postProcessBeforeInitialization(Object bean, String beanName)`
`void`
`setAdvisorAdapterRegistry(AdvisorAdapterRegistry advisorAdapterRegistry)`
Specify the AdvisorAdapterRegistry to register AdvisorAdapter beans with.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdvisorAdapterRegistrationManager

public AdvisorAdapterRegistrationManager()

## Method Details

### setAdvisorAdapterRegistry

public void setAdvisorAdapterRegistry(AdvisorAdapterRegistry advisorAdapterRegistry)
Specify the AdvisorAdapterRegistry to register AdvisorAdapter beans with. Default is the global AdvisorAdapterRegistry.

See Also:
  - `GlobalAdvisorAdapterRegistry`

### postProcessBeforeInitialization

public Object postProcessBeforeInitialization(Object bean, String beanName) throws org.springframework.beans.BeansException

Specified by:
  `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
Throws:
  `org.springframework.beans.BeansException`

### postProcessAfterInitialization

public Object postProcessAfterInitialization(Object bean, String beanName) throws org.springframework.beans.BeansException

Specified by:
  `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
Throws:
  `org.springframework.beans.BeansException`